<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

t3lib_div::loadTCA('tt_content');
$TCA["tt_content"]["types"]["list"]["subtypes_excludelist"][$_EXTKEY."_pi1"]="layout,select_key,pages";
t3lib_extMgm::addStaticFile($_EXTKEY,'pi1/static/rootpage','MultiShop Root Page Setup');
t3lib_extMgm::addStaticFile($_EXTKEY,'pi1/static/corepage','MultiShop Core Page Setup');
t3lib_extMgm::addStaticFile($_EXTKEY,'pi1/static/custom_css','MultiShop Custom CSS Setup');
//t3lib_extMgm::addStaticFile($_EXTKEY,'pi1/static/ajax','MultiShop Ajax Setup');

/*
 * Extend fe_user table
 */
$tempColumns = Array (
    "tx_multishop_discount" => Array (
        "exclude" => 1,
        "label" => "Discount percentage",
        "config" => Array (
            "type" => "input",
            "size" => "2",
            "max" => "2",
            "eval" => "int",
            "checkbox" => "0",
            "range" => Array (
                "upper" => "100",
                "lower" => "0"
            ),
            "default" => 0
        )
    ),/* JOGL */
    "address_number" => Array (
          "exclude" => 1,
          "label" => "Street number",
          "config" => Array (
              "type" => "input",
              "size" => "10",
              "max" => "20",
              "checkbox" => "0",
              "default" => 0
          )
      ),
    'mobile' => array(
    	'exclude' => 1,
    	'label' => 'Mobile',
    	'config' => array(
    		'type' => 'input',
    		'eval' => 'trim',
    		'size' => '20',
    		'max' => '20'
    	)
    ),/* JOGL end */
);
t3lib_div::loadTCA("fe_users");
t3lib_extMgm::addTCAcolumns("fe_users",$tempColumns,1);
t3lib_extMgm::addToAllTCAtypes("fe_users",'--div--; Multishop, tx_multishop_discount;;;;1-1-1');

/* JOGL */

// Extending address with address_number and combine them in one new palette called "multishopaddress"
$TCA['fe_users']['palettes']['multishopaddress'] = array(
  'showitem' => 'address,address_number'
);
t3lib_extMgm::addToAllTCAtypes('fe_users', '--palette--;Address;multishopaddress', '', 'replace:address');

// Adding mobilephone after telephone
t3lib_extMgm::addToAllTCAtypes('fe_users', 'mobile', '', 'after:telephone');

// prepare $tempColumns for fe_groups
unset($tempColumns['address_number']);
unset($tempColumns['mobile']);
/* JOGL end */

t3lib_div::loadTCA("fe_groups");
t3lib_extMgm::addTCAcolumns("fe_groups",$tempColumns,1);
t3lib_extMgm::addToAllTCAtypes("fe_groups",'--div--; Multishop, tx_multishop_discount;;;;1-1-1');

t3lib_extMgm::addPlugin(array(
	'LLL:EXT:multishop/locallang_db.xml:tt_content.list_type_pi1',
	$_EXTKEY . '_pi1',
	t3lib_extMgm::extRelPath($_EXTKEY) . 'ext_icon.gif'
),'list_type');
$TCA['tt_content']['types']['list']['subtypes_addlist'][$_EXTKEY.'_pi1']=  'pi_flexform';
t3lib_extMgm::addPiFlexFormValue($_EXTKEY.'_pi1', 'FILE:EXT:'.$_EXTKEY.'/flexform_ds.xml');


if (TYPO3_MODE == 'BE') {
	$TBE_MODULES_EXT['xMOD_db_new_content_el']['addElClasses']['tx_multishop_pi1_wizicon'] = t3lib_extMgm::extPath($_EXTKEY).'pi1/class.tx_multishop_pi1_wizicon.php';
	t3lib_extMgm::addModulePath('web_txmultishopM1', t3lib_extMgm::extPath($_EXTKEY) . 'mod1/');
	t3lib_extMgm::addModule('web', 'txmultishopM1', '', t3lib_extMgm::extPath($_EXTKEY) . 'mod1/');
	
}
?>