<?php
if (mslib_fe::loggedin())
{
	// user is already signed in
	$content.=$this->pi_getLL('you_are_already_signed_in');
}
else
{
	$erno=array();
	if ($post)
	{
		if (!$post['email']) 				$erno[]=$this->pi_getLL('no_email_address_has_been_specified');
		if (!$post['address']) 				$erno[]=$this->pi_getLL('no_address_has_been_specified');
		if (!$post['address_number']) 		$erno[]=$this->pi_getLL('no_address_number_has_been_specified');
		if (!$post['first_name']) 			$erno[]=$this->pi_getLL('no_first_name_has_been_specified');
		if (!$post['last_name']) 			$erno[]=$this->pi_getLL('no_last_name_has_been_specified');
		if (!$post['zip']) 					$erno[]=$this->pi_getLL('no_zip_has_been_specified');
		if (!$post['city'])					$erno[]=$this->pi_getLL('no_city_has_been_specified');
		if (!$post['country']) 				$erno[]=$this->pi_getLL('no_country_has_been_specified');
		if ($post['email'] != $post['email_confirm'])
		{
			$erno[]=$this->pi_getLL('email_is_not_the_same_as_repeated_email');
		}
		if ($post['password'] != $post['password_confirm'])
		{
			$erno[]=$this->pi_getLL('password_is_not_the_same_as_repeated_password');
		}
		if (!count($erno))
		{	
			// check if username is not in use
			$user=mslib_fe::getUser($post['email'],'email');
			if ($user['uid'])
			{
				$erno[]=$this->pi_getLL('specified_email_address_already_in_use');
			}		
		}
		if (!count($erno))
		{
			// add the user
			$insertArray=array();
			$insertArray['username']	=$post['email'];
			$insertArray['email']		=$post['email'];
			$insertArray['gender']		=$post['gender'];
			$insertArray['password']	=$post['password'];
			if (t3lib_extMgm::isLoaded('saltedpasswords'))
			{
				$insertArray['password'] = md5($insertArray['password']);
			}	
			$insertArray['first_name']					=$post['first_name'];
			$insertArray['middle_name']					=$post['middle_name'];
			$insertArray['last_name']					=$post['last_name'];
			$insertArray['name']						=$post['first_name'].' '.$post['middle_name'].' '.$post['last_name'];
			$insertArray['name']						=preg_replace('/\s+/', ' ', $insertArray['name']);
			$insertArray['company']						=$post['company'];
			$insertArray['country']						=$post['country'];
			$insertArray['address']						=$post['address'];
			$insertArray['address_number']				=$post['address_number'];
			$insertArray['zip']							=$post['zip'];
			$insertArray['city']						=$post['city'];
			$insertArray['telephone']					=$post['telephone'];
			$insertArray['mobile']						=$post['mobile'];
			$insertArray['tx_multishop_newsletter']		=$post['tx_multishop_newsletter'];
			$insertArray['disable']						=1;
			$insertArray['tstamp']						=time();
			$insertArray['usergroup']					=$this->conf['fe_customer_usergroup'];
			$insertArray['tx_multishop_code']			=md5(uniqid('',TRUE));
			$query = $GLOBALS['TYPO3_DB']->INSERTquery('fe_users', $insertArray);
			$res = $GLOBALS['TYPO3_DB']->sql_query($query);
			if ($res)
			{
				$customer_id=$GLOBALS['TYPO3_DB']->sql_insert_id();
				if ($customer_id)
				{
					$page=mslib_fe::getCMScontent('email_create_account_confirmation',$GLOBALS['TSFE']->sys_language_uid);
					if ($page[0]['content'])
					{
						// loading the email confirmation letter eof			
						// replacing the variables with dynamic values			
						$array1=array();
						$array2=array();
						$array1[]='###FULL_NAME###';
						$array2[]=$insertArray['name'];
						$array1[]='###CUSTOMER_EMAIL###';
						$array2[]=$post['email'];	
		
						$array1[]='###LONG_DATE###'; // ie woensdag 23 juni, 2010
						$long_date=strftime($this->pi_getLL('full_date_format'));
						$array2[]=$long_date;
			
						$array1[]='###STORE_NAME###';
						$array2[]=$ms['MODULES']['STORE_NAME'];
						
						$array1[]='###CUSTOMER_ID###';
						$array2[]=$customer_id;				
						
						$link=$this->FULL_HTTP_URL.mslib_fe::typolink(',2002','&tx_multishop_pi1[page_section]=confirm_create_account&tx_multishop_pi1[hash]='.$insertArray['tx_multishop_code']);
						$array1[]='###LINK###';
						$array2[]='<a href="'.$link.'">'.htmlspecialchars($this->pi_getLL('click_here_to_confirm_registration')).'</a>';
						
						if($page[0]['content']) $page[0]['content']=str_replace($array1,$array2,$page[0]['content']);
						if($page[0]['name']) 	$page[0]['name']=str_replace($array1,$array2,$page[0]['name']);	
						
						$user=array();
						$user['name']	= $post['first_name'];
						$user['email']	= $post['email'];
						mslib_fe::mailUser($user,$page[0]['name'],$page[0]['content'],$ms['MODULES']['STORE_EMAIL'],$ms['MODULES']['STORE_NAME']);				
						// now mail a copy to the merchant
						$merchant=array();
						$merchant['name']	=$ms['MODULES']['STORE_NAME'];
						$merchant['email']	=$ms['MODULES']['STORE_EMAIL'];
						mslib_fe::mailUser($merchant,$page[0]['name'],$page[0]['content'],$ms['MODULES']['STORE_EMAIL'],$ms['MODULES']['STORE_NAME']);
						// now display the thank you page
						$page=mslib_fe::getCMScontent('create_account_thank_you_page',$GLOBALS['TSFE']->sys_language_uid);
						if ($page[0]['content'])
						{
							// loading the email confirmation letter eof			
							// replacing the variables with dynamic values			
							$array1=array();
							$array2=array();
							$array1[]='###FULL_NAME###';
							$array2[]=$insertArray['name'];
							
							$array1[]='###CUSTOMER_EMAIL###';
							$array2[]=$post['email'];	
			
							$array1[]='###LONG_DATE###'; // ie woensdag 23 juni, 2010
							$long_date=strftime($this->pi_getLL('full_date_format'));
							$array2[]=$long_date;
				
							$array1[]='###STORE_NAME###';
							$array2[]=$ms['MODULES']['STORE_NAME'];
							
							$array1[]='###CUSTOMER_ID###';
							$array2[]=$customer_id;				
							if ($page[0]['name'])
							{
								$page[0]['name']=str_replace($array1,$array2,$page[0]['name']);
								$content.='<div class="main-heading"><h2>'.$page[0]['name'].'</h2></div>';
							}
							if ($page[0]['content'])
							{
								$page[0]['content']=str_replace($array1,$array2,$page[0]['content']);
								$content.=$page[0]['content'];
							}
						}
					}
				}
			}		
		}
	}
	if (!$post or count($erno))
	{
		if (count($erno) > 0)
		{
			$content.='<div class="error_msg">';
			$content.='<h3>'.$this->pi_getLL('the_following_errors_occurred').'</h3><ul>';
			foreach ($erno as $item)
			{
				$content.='<li>'.$item.'</li>';
			}
			$content.='</ul>';
			$content.='</div>';
		}	
		$content.='
		<div id="live-validation-create-account">
		  <form action="'.mslib_fe::typolink().'" method="post" name="create_account" class="AdvancedForm" id="create-account">
			<div id="live-validation_l">
			  <div class="account-boxes">
				<div class="account-heading">
				  <h2>'.$this->pi_getLL('personal_details').'</h2>
				</div>
				<div class="account-boxes">'.$this->pi_getLL('personal_details_description').'.</div>
			  </div>
			  <div class="account-field"> <span id="ValidRadio" class="InputGroup">
				<label for="gender_mr" id="account-gender">'.ucfirst($this->pi_getLL('title')).'*</label>
				<input type="radio" class="InputGroup" name="gender" value="m" id="gender_mr"'.($post['gender']=='m'?' checked="checked"':'').' />
				<label class="account-male" for="gender_mr">'.$this->pi_getLL('mr').'</label>
				<input type="radio" name="gender" value="f" class="InputGroup" id="gender_mrs"'.($post['gender']=='f'?' checked="checked"':'').' />
				<label class="account-female" for="gender_mrs">'.$this->pi_getLL('mrs').'</label>
				</span> <span class="error-space"></span></div>
			  <div class="account-field">
				<label class="account-firstname" for="first_name">'.ucfirst($this->pi_getLL('first_name')).'*</label>
				<input type="text" name="first_name" class="first-name" id="first_name" value="'.htmlspecialchars($post['first_name']).'" />
				<span class="error-space"></span></div>
			  <div class="account-field">
				<label class="account-middlename" for="middle_name">'.ucfirst($this->pi_getLL('middle_name')).'</label>
				<input type="text" name="middle_name" id="middle_name" class="middle_name" value="'.htmlspecialchars($post['middle_name']).'">
				<span class="account-desc"></span> <span class="error-space"></span></div>
			  <div class="account-field">
				<label class="account-lastname" for="last_name">'.ucfirst($this->pi_getLL('last_name')).'*</label>
				<input type="text" name="last_name" id="last_name" class="last-name" value="'.htmlspecialchars($post['last_name']).'" />
				<span class="error-space"></span></div>
			  <div class="account-field">
				<label for="company" id="account-company">'.$this->pi_getLL('company').'</label>
				<input type="text" name="company" class="company" id="company" value="'.htmlspecialchars($post['company']).'" />
				<span class="error-space"></span></div>
			  <div class="account-field">
				<label for="country" id="account-country">'.ucfirst($this->pi_getLL('country')).'*</label> 		
		
		';
				// load enabled countries to array
				$str2="SELECT * from static_countries c, tx_multishop_shipping_countries_to_zones c2z where c2z.cn_iso_nr=c.cn_iso_nr order by c.cn_short_en";
				$qry2=$GLOBALS['TYPO3_DB']->sql_query($str2);
				$enabled_countries=array();
				while ($row2=$GLOBALS['TYPO3_DB']->sql_fetch_assoc($qry2))
				{
					$enabled_countries[]=$row2;
				}
				// load enabled countries to array eof
				if (count($enabled_countries) ==1) 
				{
					$content.='<input name="country" type="hidden" value="'.strtolower($enabled_countries[0]['cn_short_en']).'" />'.$enabled_countries[0]['cn_short_en'];
				}
				else
				{
					$default_country=mslib_fe::getCountryByIso($ms['MODULES']['COUNTRY_ISO_NR']);
					if (!$post) $post['country']=$default_country['cn_short_en'];
					foreach ($enabled_countries as $country)
					{
						$tmpcontent.='<option value="'.strtoupper($country['cn_short_en']).'" '.((strtolower($post['country'])==strtolower($country['cn_short_en']))?'selected':'').'>'.htmlspecialchars($country['cn_short_local']).'</option>';
					}
					if ($tmpcontent)
					{
						$content.='
						<select name="country" class="country">
							<option value="">'.ucfirst($this->pi_getLL('choose_country')).'</option>
							'.$tmpcontent.'
						</select>
						';
					}			
				}
			$content.='	
			  </div>				
			  <div class="account-field">
				<label class="account-address" for="address">'.ucfirst($this->pi_getLL('street_address')).'*</label>
				<input type="text" name="address" id="address" class="address" value="'.htmlspecialchars($post['address']).'" />
				<span class="error-space"></span></div>
			  <div class="account-field">
				<label class="account-address-number" for="address_number">'.ucfirst($this->pi_getLL('street_address_number')).'*</label>
				<input type="text" name="address_number" id="address_number" class="address-number" value="'.htmlspecialchars($post['address_number']).'" />
				<span class="error-space"></span></div>
			  <div class="account-field">
				<label class="account-zip" for="zip">'.ucfirst($this->pi_getLL('zip')).'*</label>
				<input type="text" name="zip" class="zip" id="zip" value="'.htmlspecialchars($post['zip']).'">
				<span class="error-space"></span>
			  </div>		
			  <div class="account-field">
				<label class="account-city" for="city">'.ucfirst($this->pi_getLL('city')).'*</label>
				<input id="city" name="city" type="text" value="'.htmlspecialchars($post['city']).'" />
				<span class="error-space"></span></div>
			  <div class="account-field">
				<label for="telephone" id="account-telephone">'.ucfirst($this->pi_getLL('telephone')).'*</label>
				<input type="text" name="telephone" id="telephone" class="telephone" value="'.htmlspecialchars($post['telephone']).'" />
				<span class="error-space"></span></div>
			  <div class="account-field">
				<label for="mobile" id="account-mobile">'.ucfirst($this->pi_getLL('mobile')).'</label>
				<input type="text" name="mobile" id="mobile" class="mobile" value="'.htmlspecialchars($post['mobile']).'" />
				<span class="error-space"></span></div>  
			</div>
			<div id="live-validation_r">
			  <div class="account-boxes">
				<div class="account-heading">
				  <h2>'.$this->pi_getLL('login_details').'</h2>
				</div>
				<div class="account-boxes">'.$this->pi_getLL('login_details_description').'.</div>
			  </div>
			  <div class="account-field">
				<label class="account-email" for="email">E-mailadres</label>
				<input type="text" name="email" class="email" id="email" value="'.htmlspecialchars($post['email']).'" />
				<span class="error-space"></span></div>
			  <div class="account-field">
				<label class="account-email-confirm" for="email_confirm">E-mailadres bevestigen</label>
				<input type="text" name="email_confirm" class="email-confirm" id="email_confirm" value="'.htmlspecialchars($post['email_confirm']).'" />
				<span class="error-space"></span></div>
			  <div class="account-field">
				<label class="account-password" for="password">Wachtwoord</label>
				<input type="password" name="password" class="password" id="password" value="'.htmlspecialchars($post['password']).'" />
				<span class="error-space"></span></div>
			  <div class="account-field">
				<label class="account-password-confirm" for="password_confirm">Wachtwoord bevestigen</label>
				<input type="password" name="password_confirm" class="password-confirm" id="password_confirm" value="'.htmlspecialchars($post['password_confirm']).'" />
				<span class="error-space"></span></div>
			  <div class="account-boxes">
				<div class="account-heading">
				  <h2>'.$this->pi_getLL('newsletter').'</h2>
				</div>
				<div class="account-boxes">'.$this->pi_getLL('subscribe_to_our_newsletter_description').'.</div>
			  </div>
			  <div class="account-field newsletter_checkbox_message">
				<label>
				  <input type="checkbox" name="tx_multishop_newsletter" id="tx_multishop_newsletter" value="1"'.($post['tx_multishop_newsletter']?' checked="checked"':'').' />
				</label>
				<label for="tx_multishop_newsletter">'.$this->pi_getLL('subscribe_to_our_newsletter').'</label>
				</div>
			</div>
			<div id="bottom-navigation"> <div onClick="history.back()" class="back_button">'.$this->pi_getLL('back').'</div>
			  <div id="navigation">
				<input type="submit" id="submit" value="Verzenden" />
			  </div>
			</div>
		  </form>
		</div>
		';
	}
}
$content='<div id="tx_multishop_pi1_core">'.$content.'</div>';
?>
